Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed
Interface Peer

All Known Implementing Classes:
  PeerSupport

public interface Peer

Version:
  `$Revision: 1.7 $` $Id: Peer.java,v 1.7 2005/11/27 05:58:28 ovidiu Exp $
Author:
  Ovidiu Feodorov

Method Summary
`RpcDispatcher` | `getDispatcher()`
`java.io.Serializable` | `getGroupID()`
`PeerIdentity` | `getPeerIdentity()`
`java.util.Set` | `getView()` Returns a Set of PeerIdentity instances corresponding to peers that are part of the group.
`boolean` | `hasJoined()`
`void` | `join()` Connects the peer to the distributed destination.
`void` | `leave()` Stops the peer and disconnects it from the distributed destination.
`java.util.Set` | `ping()` Return a Set of PeerIdentity instances corresponding to peers that are part of the group, as a result of a dynamic query.

Method Detail

### getGroupID

    public java.io.Serializable getGroupID()

### getPeerIdentity

    public PeerIdentity getPeerIdentity()

### hasJoined

    public boolean hasJoined()

### getDispatcher

    public RpcDispatcher getDispatcher()

### getView

    public java.util.Set getView()

  Returns a Set of PeerIdentity instances corresponding to peers that are part of the group. It may return an empty set (in case the peer didn't join the group yet), but never null.

### join

    public void join()
              throws DistributedException

  Connects the peer to the distributed destination. The underlying JChannel must be connected at the time of the call.

  Throws:
    `DistributedException` - - a wrapper for exceptions thrown by the distributed layer.

### leave

    public void leave()
               throws DistributedException

  Stops the peer and disconnects it from the distributed destination.

  Throws:
    `DistributedException` - - a wrapper for exceptions thrown by the distributed layer.

### ping

    public java.util.Set ping()
                       throws DistributedException

  Return a Set of PeerIdentity instances corresponding to peers that are part of the group, as a result of a dynamic query. Returns an empty set if the peer is not currently part of any group.

  Throws:
    `DistributedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.